net.sf.statcvs.reportmodel

## Class LinkColumn

- java.lang.Object
- - net.sf.statcvs.reportmodel.Column
  - - net.sf.statcvs.reportmodel.LinkColumn

-     public class LinkColumn
      extends Column

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LinkColumn(java.lang.String title)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addValue(java.lang.String url, java.lang.String label)`
    `int` | `getRows()` Return number of rows that have been added to this column
    `void` | `renderCell(int rowIndex, TableCellRenderer renderer)` Renders a row of the column into a `TableCellRenderer` by calling one of its `TableCellRenderer.renderCell(java.lang.String)` methods
    `void` | `renderHead(TableCellRenderer renderer)` Renders the head of the column into a `TableCellRenderer` by calling one of its `TableCellRenderer.renderCell(java.lang.String)` methods
    `void` | `renderTotal(TableCellRenderer renderer)` Renders the footer of the column into a `TableCellRenderer` by calling one of its `TableCellRenderer.renderCell(java.lang.String)` methods.
    `void` | `setTotal(java.lang.String value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LinkColumn

          public LinkColumn(java.lang.String title)

  - ### Method Detail

    - #### setTotal

          public void setTotal(java.lang.String value)

    - #### addValue

          public void addValue(java.lang.String url,
                      java.lang.String label)

    - #### getRows

          public int getRows()

      Description copied from class: `Column`
      Return number of rows that have been added to this column
      Specified by:
        `getRows` in class `Column`
      Returns:
        number of rows that have been added to this column

    - #### renderHead

          public void renderHead(TableCellRenderer renderer)

      Description copied from class: `Column`
      Renders the head of the column into a `TableCellRenderer` by calling one of its `TableCellRenderer.renderCell(java.lang.String)` methods
      Specified by:
        `renderHead` in class `Column`
      Parameters:
        `renderer` - the TableCellRenderer to use TODO: this is probably unnecessary; better add a getTitle method

    - #### renderCell

          public void renderCell(int rowIndex,
                        TableCellRenderer renderer)

      Description copied from class: `Column`
      Renders a row of the column into a `TableCellRenderer` by calling one of its `TableCellRenderer.renderCell(java.lang.String)` methods
      Specified by:
        `renderCell` in class `Column`
      Parameters:
        `rowIndex` - the row number, starting at 0
        `renderer` - the TableCellRenderer to use

    - #### renderTotal

          public void renderTotal(TableCellRenderer renderer)

      Description copied from class: `Column`
      Renders the footer of the column into a `TableCellRenderer` by calling one of its `TableCellRenderer.renderCell(java.lang.String)` methods. The footer usually contains some kind of total for the column.
      Specified by:
        `renderTotal` in class `Column`
      Parameters:
        `renderer` - the TableCellRenderer to use